# Задача 3. Функция
# Напишите функцию, которая принимает на вход кортеж и какой-то случайный элемент (его можно вводить с клавиатуры).
# Функция должна возвращать новый кортеж, начинающийся с первого появления элемента в нём и заканчивающийся вторым
# его появлением включительно.
# Если элемента нет вовсе — вернуть пустой кортеж. Если элемент встречается только один раз, то вернуть кортеж,
# который начинается с него и идёт до конца исходного.

def new_tuple(user_tpl, elem):

    if elem in user_tpl:
        if user_tpl.count(elem) == 1:
            return user_tpl[user_tpl.index(elem)+1:]
        else:
            temp_tpl = user_tpl[user_tpl.index(elem)+1:]
            return temp_tpl[:temp_tpl.index(elem)+1]
    else:
        return ()


my_tuple = (1, 8, 4, 45, 15, 32, 4, 400, 4, 32)

user_sym = int(input('Введите элемент: '))

print(new_tuple(my_tuple, user_sym))
